//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DecorObjectType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>
 * &lt;simpleType name="DecorObjectType"&gt;
 *   &lt;restriction base="{}EnumerationToken"&gt;
 *     &lt;enumeration value="DS"/&gt;
 *     &lt;enumeration value="DE"/&gt;
 *     &lt;enumeration value="SC"/&gt;
 *     &lt;enumeration value="TR"/&gt;
 *     &lt;enumeration value="AC"/&gt;
 *     &lt;enumeration value="VS"/&gt;
 *     &lt;enumeration value="IS"/&gt;
 *     &lt;enumeration value="RL"/&gt;
 *     &lt;enumeration value="TM"/&gt;
 *     &lt;enumeration value="CL"/&gt;
 *     &lt;enumeration value="EL"/&gt;
 *     &lt;enumeration value="SX"/&gt;
 *     &lt;enumeration value="TX"/&gt;
 *     &lt;enumeration value="EX"/&gt;
 *     &lt;enumeration value="QX"/&gt;
 *     &lt;enumeration value="CM"/&gt;
 *     &lt;enumeration value="CS"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "DecorObjectType")
@XmlEnum
public enum DecorObjectType {


    /**
     * Datensatz
     * 
     */
    DS,

    /**
     * Datenelement
     * 
     */
    DE,

    /**
     * Szenario
     * 
     */
    SC,

    /**
     * Transaktion
     * 
     */
    TR,

    /**
     * Aktoren
     * 
     */
    AC,

    /**
     * Value Set
     * 
     */
    VS,

    /**
     * Issue
     * 
     */
    IS,

    /**
     * Regel (intern)
     * 
     */
    RL,

    /**
     * Template
     * 
     */
    TM,

    /**
     * Konzeptliste
     * 
     */
    CL,

    /**
     * Template-Element
     * 
     */
    EL,

    /**
     * Testszenario
     * 
     */
    SX,

    /**
     * Testdaten-Element
     * 
     */
    TX,

    /**
     * Beispiel-Transaktion
     * 
     */
    EX,

    /**
     * Test-Forderung
     * 
     */
    QX,

    /**
     * Community. Expectation is that the DECOR-project assigns ids to communities under this base id, and communities branch under this base
     * 
     */
    CM,

    /**
     * Codesystem
     * 
     */
    CS;

    public String value() {
        return name();
    }

    public static DecorObjectType fromValue(String v) {
        return valueOf(v);
    }

}
